> For the complete documentation index, see [llms.txt](https://help.bioinsight.illumina.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.bioinsight.illumina.com/clarity-lims/api-and-database/api-docs/tips-and-tricks/setting-the-value-of-a-qc-flag-on-an-artifact.md).

# Setting the Value of a QC Flag on an Artifact

The QC flag parameter qc-flag can be set on an input or output analyte (derived sample) or on an individual result file (measurement) with a few lines of Groovy code.

In the following example, the qc-flag value of the analyte artifact is set based on the value of the **bp\_size** variable when compared to the **threshold1** and **threshold2** variables.

<pre><code>artifact = GLSRestApiUtils.httpGET(artifactURI, username, password)
             
<strong>Node foundQCNode = artifact.'qc-flag'[0] as Node
</strong>             
if((bp_size >= threshold1) &#x26;&#x26; (bp_size &#x3C;= threshold2)){qcFlag = "PASSED"}
else{qcFlag = "FAILED"}         
</code></pre>

The following code determines whether a qc-flag value is previously set, such that a flag is only set if one does not exist.

<pre><code><strong>foundQCNode ? foundQCNode.setValue(qcFlag) : addChild(new Node(null, 'qc-flag', qcFlag), artifact, "qc-flag")
</strong>
GLSRestApiUtils.httpPUT(artifact, artifactURI, username, password)
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://help.bioinsight.illumina.com/clarity-lims/api-and-database/api-docs/tips-and-tricks/setting-the-value-of-a-qc-flag-on-an-artifact.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
